﻿Imports Infragistics.Web.UI.NavigationControls
Imports System.Windows.Forms

Partial Class _Default
    Inherits System.Web.UI.Page

    Protected Sub WebExplorerBar1_Init(sender As Object, e As System.EventArgs) Handles WebExplorerBar1.Init
        If Not IsPostBack Then
            ' Shows how to add a new item to an existing group programmatically
            ' --------
            ' Create the new item
            Dim newItem1 As ExplorerBarItem = New ExplorerBarItem("Item 2", "Item2")
            ' Add it to an existing group
            CType(WebExplorerBar1.Groups.FromValue("Group2"), ExplorerBarGroup).Items.Add(newItem1)
            ' Create another item and add it to an existing group
            Dim newItem2 As ExplorerBarItem = New ExplorerBarItem("Item 3", "Item3")
            CType(WebExplorerBar1.Groups.FromValue("Group2"), ExplorerBarGroup).Items.Add(newItem2)
            ' --------

            ' Shows how to access a programmatically created item through code
            ' --------
            ' Find the group through its value (key)
            Dim group1 As ExplorerBarGroup = CType(WebExplorerBar1.Groups.FromValue("Group2"), ExplorerBarGroup)
            ' Find an item in that group, and change its text
            CType(group1.Items.FromValue("Item2"), ExplorerBarItem).Text = "Item 222"
            ' --------
        End If
    End Sub
End Class
